> ## Documentation Index
> Fetch the complete documentation index at: https://knowledge.bitbybit.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Point Conversion

> Replace all point conversion tiers for a company.



## OpenAPI

````yaml POST /bitlogin/api/open/v1/loyalty/point-conversion
openapi: 3.1.0
info:
  title: bitLogin Loyalty API
  description: >-
    Loyalty configuration endpoints for bitLogin (integration toggle, point
    conversion, and reward options).
  version: 1.0.0
servers:
  - url: https://api.bitbybit.studio
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /bitlogin/api/open/v1/loyalty/point-conversion:
    post:
      tags:
        - Loyalty - bitLogin
      summary: Set point conversion tiers
      description: Replace all point conversion tiers for a company.
      operationId: setPointConversion
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - tiers
              properties:
                tiers:
                  type: array
                  items:
                    $ref: '#/components/schemas/PointConversionTierInput'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PointConversionResponse'
components:
  schemas:
    PointConversionTierInput:
      type: object
      required:
        - currencyAmount
        - points
      properties:
        currencyAmount:
          description: >-
            Positive number as string/decimal with up to 4 decimals. Example: 5
            or 5.25
          oneOf:
            - type: string
              description: >-
                Positive number as string/decimal with up to 4 decimals.
                Example: 5 or 5.25
            - type: number
              description: 'Positive number. Example: 5 or 5.25'
        points:
          type: integer
          minimum: 1
    PointConversionResponse:
      type: object
      properties:
        companyId:
          type: integer
        tiers:
          type: array
          items:
            $ref: '#/components/schemas/PointConversionTier'
    PointConversionTier:
      type: object
      properties:
        id:
          type: string
        currencyAmount:
          type: number
        points:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      description: API key for authentication. Create one in Settings > Developer.
      name: x-api-key
      in: header
      type: apiKey

````